cabal-install-3.10.2.1: The command-line interface for Cabal and Hackage.

Copyright | (c) David Himmelstrup 2005 Duncan Coutts 2008-2011
License | BSD-like
Maintainer | cabal-devel@haskell.org
Safe Haskell | None
Language | Haskell2010

Distribution.Client.List

Description

Search for and print information about packages

Synopsis

- list :: Verbosity -> PackageDBStack -> RepoContext -> Maybe (Compiler, ProgramDb) -> ListFlags -> [String] -> IO ()
- info :: Verbosity -> PackageDBStack -> RepoContext -> Compiler -> ProgramDb -> GlobalFlags -> InfoFlags -> [UserTarget] -> IO ()

# Documentation

list :: Verbosity -> PackageDBStack -> RepoContext -> Maybe (Compiler, ProgramDb) -> ListFlags -> [String] -> IO () #

Show information about packages.

info :: Verbosity -> PackageDBStack -> RepoContext -> Compiler -> ProgramDb -> GlobalFlags -> InfoFlags -> [UserTarget] -> IO () #